Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

libssl-dev does not seem to be installed on my Slackware server and is needed for various dependencies. How can I install this on Slackware? Searching around did not find anything and there really isn't a package manager with Slackware. I did try slackpkg, but there are no libssl packages on there.

I do already have openssl installed and have for a long time. Is this a separate package from OpenSSL?

share|improve this question

1 Answer 1

You failed to mention which version of Slackware you have installed, but Slackware doesn't split their packages up into normal/-dev. If you have openssl installed, you have the libs & headers (i.e., the dev stuff), too. What makes you think it's not there?

share|improve this answer
    
stackoverflow.com/questions/10306531/… says I'd missing it (I get that error) –  Zeno Oct 31 '12 at 0:44
2  
Umm ..that's quite different. You're missing slackware.com/~alien/slackbuilds/pyopenssl which isn't part of openssl-dev. –  tink Oct 31 '12 at 1:38

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.